=== debian/changelog ===
bullet (2.86.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Mon, 17 Jul 2017 17:29:30 +0200

bullet (2.86.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2.86.1+dfsg.
  * Update debian/copyright for new release.
  * Rename binary packages because of the SONAME bump.

 -- Markus Koschany <apo@debian.org>  Tue, 21 Feb 2017 02:37:35 +0100

bullet (2.86+dfsg-1) experimental; urgency=medium

  * New upstream version 2.86+dfsg.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Thu, 09 Feb 2017 06:00:16 +0100

bullet (2.85.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2.85.1+dfsg-1.
  * Create new 2.85 binary packages because of the SONAME bump.
  * Simplify the packaging and provide libbullet2.85 which includes all Bullet
    2 and Bullet 3 core libraries from now on and libbullet-extras2.85 for all
    extras.
  * Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Dec 2016 19:45:01 +0100
